<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

    <!-- Copyright Filipp Sapienza (www.filippsapienza.com) and White Mouse Solutions (www.whitemousesolutions.com), 2008. -->
    <!-- May be distributed and modified. Please preserve the author attribution. -->

    <!-- SOME READY MADE TEMPLATES FOR CONVERTING XML INTO HTML TAGS -->

    <!-- THE IMG TAG, FOR PUTTING IMAGES INTO YOUR DOCUMENT -->
    <!-- USAGE: <picture filename="mydog.jpg" alt="My Dog" /> -->
    <!-- THIS WILL CONVERT THE ABOVE INTO <img src="mydog.jpg" alt="My Dog"> -->

    <xsl:template match="picture">
        <img>
            <xsl:attribute name="src">
                <xsl:value-of select="./@filename"/>
            </xsl:attribute>
            <xsl:attribute name="alt">
                <xsl:value-of select="./@alt"/>
            </xsl:attribute>
        </img>
    </xsl:template>


    <!-- THE ANCHOR TAG -->
    <!-- USAGE: <ulink url="http://www.cnn.com">CNN</ulink> -->
    <!-- THIS WILL CONVERT THE ABOVE INTO <a href="http://www.cnn.com">CNN</a> -->

    <xsl:template match="ulink">
        <a href="{@url}">
            <xsl:apply-templates/>
        </a>
    </xsl:template>


    <!-- OTHER HTML TAGS -->
    <xsl:template match="p">
        <p>
            <xsl:apply-templates/>
        </p>
    </xsl:template>

    <xsl:template match="h1">
        <h1 style="font-size: 18px;text-transform:uppercase">
            <xsl:apply-templates/>
        </h1>
    </xsl:template>

    <xsl:template match="h2">
        <h2 style="font-size: 16px">
            <xsl:apply-templates/>
        </h2>
    </xsl:template>

    <xsl:template match="ul">
        <ul class="tier2links">
            <xsl:apply-templates/>
        </ul>
    </xsl:template>

    <xsl:template match="li">
        <li>
            <xsl:apply-templates/>
        </li>
    </xsl:template>
</xsl:stylesheet>
