<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

    <!-- SCHEDULE TEMPLATES -->
    <!-- Copyright Filipp Sapienza (www.filippsapienza.com) and White Mouse Solutions (www.whitemousesolutions.com), 2008. -->
    <!-- May be distributed and modified. Please preserve the author attribution. -->
    
    <xsl:template match="week">
        <table style="margin-top: 0.5em; margin-bottom: 0.5em">
            <tr>
                <td width="200" valign="top">

                    <!-- PUT THE DATE IN THE LEFT COLUMN -->
                    <div class="schedulecontent">
                        <xsl:apply-templates select="./@dates"/>
                    </div>

                </td>
                <td valign="top">
                    <!-- PUT THE CONTENT IN THE RIGHT COLUMN NEXT TO THE DATE -->
                    <div class="schedulecontent">
                        <xsl:apply-templates select="content"/>
                    </div>

                </td>
            </tr>
        </table>
    </xsl:template>

    <!-- SOME EMBEDDED SCHEDULE TEMPLATES FOR REPURPOSING -->
    <xsl:template match="assignment">
        <p style="margin-top: 0.3em;margin-bottom: 0.3em">
            <xsl:apply-templates/>
        </p>
    </xsl:template>

    <xsl:template match="reserve">
        <i>On reserve</i> - <xsl:apply-templates/><br/>
    </xsl:template>

    <xsl:template match="topic">
        <xsl:apply-templates/>
        <br/>
    </xsl:template>

    <xsl:template match="textbook">
        <xsl:apply-templates select="./@title"/> - <xsl:apply-templates/>
    </xsl:template>

    <xsl:template match="online">
        <A HREF="{@url}">
            <xsl:apply-templates/>
        </A>
    </xsl:template>

    <xsl:template match="project">
        <font color="black">
            <b>
                <xsl:apply-templates/>
            </b>
        </font>

    </xsl:template>


</xsl:stylesheet>
